<?php
use Bitrix\Main\Localization\Loc;

Loc::loadMessages(__FILE__);

$description = array(
	'RETURN' => Loc::getMessage('SALE_HPS_CRYPTEXY_RETURN'),
	'RESTRICTION' => Loc::getMessage('SALE_HPS_CRYPTEXY_RESTRICTION'),
	'COMMISSION' => Loc::getMessage('SALE_HPS_CRYPTEXY_COMMISSION'),
	'MAIN' => Loc::getMessage('CRYPTEXY_DDESCR')
);

$data = array(
	'NAME' => Loc::getMessage('SALE_HPS_CRYPTEXY'),
	'SORT' => 500,
	'DOMAIN' => 'BOX',
	'CODES' => array(
        "APIKEY" => array(
            "NAME" => Loc::getMessage("SALE_HPS_CRYPTEXY_APIKEY"),
            "DESCRIPTION" => Loc::getMessage("SALE_HPS_CRYPTEXY_APIKEY_DESC"),
            'SORT' => 300,
            'GROUP' => 'PAYMENT',
        ),
		"PAYMENT_ID" => array(
			"NAME" => Loc::getMessage("SALE_HPS_CRYPTEXY_PAYMENT_ID"),
			'SORT' => 400,
			'GROUP' => 'PAYMENT',
			'DEFAULT' => array(
				'PROVIDER_KEY' => 'ORDER',
				'PROVIDER_VALUE' => 'ID'
			)
		),
		"PAYMENT_DATE_INSERT" => array(
			"NAME" => Loc::getMessage("SALE_HPS_CRYPTEXY_PAYMENT_DATE"),
			'SORT' => 500,
			'GROUP' => 'PAYMENT',
			'DEFAULT' => array(
				'PROVIDER_KEY' => 'ORDER',
				'PROVIDER_VALUE' => 'DATE_INSERT'
			)
		),
		"PAYMENT_SHOULD_PAY" => array(
			"NAME" => Loc::getMessage("SALE_HPS_CRYPTEXY_SHOULD_PAY"),
			'SORT' => 600,
			'GROUP' => 'PAYMENT',
			'DEFAULT' => array(
				'PROVIDER_KEY' => 'PAYMENT',
				'PROVIDER_VALUE' => 'SUM'
			)
		),
		"PS_CHANGE_STATUS_PAY" => array(
			"NAME" => Loc::getMessage("SALE_HPS_CRYPTEXY_CHANGE_STATUS_PAY"),
			'SORT' => 700,
			'GROUP' => 'GENERAL_SETTINGS',
			"INPUT" => array(
				'TYPE' => 'Y/N'
			),
		),
		"PS_IS_TEST" => array(
			"NAME" => Loc::getMessage("SALE_HPS_CRYPTEXY_IS_TEST"),
			'SORT' => 900,
			'GROUP' => 'GENERAL_SETTINGS',
			"INPUT" => array(
				'TYPE' => 'Y/N'
			)
		),
        "PAYMENT_BUYER_EMAIL" => array(
            "NAME" => Loc::getMessage("SALE_HPS_CRYPTEXY_BUYER_EMAIL"),
            'SORT' => 1000,
            'GROUP' => 'PAYMENT',
            'DEFAULT' => array(
                'PROVIDER_KEY' => 'USER',
                'PROVIDER_VALUE' => 'EMAIL'
            )
        ),
        "PAYMENT_COMEBACK_URL" => array(
            "NAME" => Loc::getMessage("SALE_HPS_CRYPTEXY_BUYER_COMEBACK_URL"),
            'SORT' => 1100,
            'GROUP' => 'PAYMENT',
        ),
        "PAYMENT_URL_PAID_CALLBACK" => array(
            "NAME" => Loc::getMessage("SALE_HPS_CRYPTEXY_BUYER_URL_PAID_CALLBACK"),
            'SORT' => 1200,
            'GROUP' => 'PAYMENT'
        ),
	)
);