<?
use \Cryptexy\CryptexySDK;
use \Bitrix\Main\Loader;
use \Bitrix\Main\Localization\Loc;
Loc::loadMessages(__FILE__);
$sum = roundEx($params['PAYMENT_SHOULD_PAY'], 2);
$SITE_NAME = COption::GetOptionString("main", "server_name", "");
$description= Loc::getMessage("CRYPTEXY_MM_DESC",array("#ORDER_ID#"=>$params['PAYMENT_ID'],"#SITE_NAME#"=>$SITE_NAME,"#DATE#"=>$params['PAYMENT_DATE_INSERT']));

Loader::includeModule("sale");
Loader::includeModule("catalog");

$order=\Bitrix\Sale\Order::load($params['PAYMENT_ID']);
$basket = \Bitrix\Sale\Basket::loadItemsForOrder($order);
$basketItems = $basket->getBasketItems();
$data=array();
$items=array();
foreach ($basketItems as $basketItem) {
    $items[]=array(
        'item_id' => $basketItem->getField('ID'),
        'item_name'=> iconv('CP1251','UTF-8',$basketItem->getField('NAME')),
        'item_price'=>number_format($basketItem->getField('PRICE'),2,".",''),
        'item_amount'=>$basketItem->getQuantity(),
    );
}
$deliveryPrice = $order->getDeliveryPrice();
$propertyCollection = $order->getPropertyCollection();
$phonePropValue = $propertyCollection->getPhone()->getValue();
$namePropValue  = $propertyCollection->getPayerName()->getValue();

$extra_params = array();
if($namePropValue != '')
    $extra_params['customer_name'] = iconv('CP1251','UTF-8',$namePropValue);
if($phonePropValue != '')
    $extra_params['customer_phone'] = iconv('CP1251','UTF-8',$phonePropValue);
if($deliveryPrice != '')
    $extra_params['delivery_price'] = $deliveryPrice;
if($description != '')
    $extra_params['description'] = iconv('CP1251','UTF-8',$description);
$error = '';
if(Loader::includeModule( "cryptexy.pay" )){
    $cryptexyUrl = '';
    $cryptexySDK = new CryptexySDK($params['APIKEY']);
    if($params['PAYMENT_BUYER_EMAIL'] != '' && strlen($params['PAYMENT_BUYER_EMAIL']) < 255 && $sum > 0){
        $invoice = $cryptexySDK->generateInvoice(
                        $params['PAYMENT_BUYER_EMAIL'],
                        $sum,
                        $params['PAYMENT_ID'],
                        $items,
                        $extra_params
                    );
        if ($invoice && $invoice->status =='success'){
            $cryptexyUrl = $cryptexySDK->getInvoiceUrl($invoice->data->invoice_code);
        }else{
            switch ($invoice->code) {
                case 71:
                    $error = "71. Authentication Required.";
                    break;
                case 72:
                    $error = "72. An authentication failed.";
                    break;
                case 74:
                    $error = "73. API is disabled for provided API key.";
                    break;
                case 75:
                    $error = "74. API is currently disabled.";
                    break;
                default:
                    $error = "Unknown error".$invoice->code.".";
                    break;
            }
        }
    }
}?>
<?if($cryptexyUrl != ''):?>
<div><?=Loc::getMessage('CRYPTEXY_PAY')?></div>
<a href="<?=$cryptexyUrl?>" target="_blank"><img src="/bitrix/images/sale/sale_payments/cryptexy_pay.png" border="0" style="width:200px" alt="" width="200" height="100"></a>
<?else:?>
<div class="error"><?=$error?> <?=Loc::getMessage('CRYPTEXY_DESC_ERROR')?></div>
<?endif;?>